/*
 * PCM related stuff?
 *
 *	Copyright (c) 2000 Richard J.M. Close
 *
 * Can be distributed under GPL
 */

#ifndef LT_VPCM_H

#define LT_VPCM_H 1

#include "stdbool.h"
#include <stdio.h>
#include "modem_globals.h"
#include "homol.h"
#include "time_utils.h"
#include "dp_llhost.h"
#include "lapm.h"
#include "dp_shmap.h"
#include "control.h"

void dp_download_vpcm(void);

void dp_vpcm_update_connect_status(void);

void dp_vpcm_retrain_jump(void);
void dp_vpcm_to_v34_retrain(void);

void dp_vpcm_retrain_cmd_v34(void);
void dp_vpcm_retrain_cmd_vpcm(void);
void dp_vpcm_fast_rate_change(void);
bool dp_vpcm_retrain_cmd(unsigned char arg1);

void dp_vpcm_startup_cmd (unsigned int arg1);

bool dp_vpcm_init (void);
void dp_vpcm_idle(void);
void dp_vpcm_options_init (void);
bool dp_vpcm_print_dsp_sptr(void);
bool vpcm_retrain_detect(void);

void dp_vpcm_background(void);

unsigned char vpcm_retrain_flag;
unsigned short vpcm_timer;

unsigned int dp_vpcm_state;

unsigned short VpcmMaxRate;

unsigned char dp_vpcm_flag;

// Pointers to location in DSP?
unsigned int prev_vpcm_sptr, vpcm_sptr;
unsigned int vpcm_rptr;

unsigned char DSP_ER_flag;

// DSP code is held in DSP.c
extern unsigned char wDspVpcm_Core[];
extern unsigned char wDspVpcm_ComSec [];
extern unsigned char wDspVpcm_Mi2RT[];
extern unsigned char wDspVpcm_Mi2Wk[];

extern unsigned char wDspVpcm_V90Wk1[];

extern unsigned char wDspVpcm_Ph31[];
extern unsigned char wDspVpcm_TrnTb[];
extern unsigned char wDspVpcm_Diltbl[];

#endif

