/*
 *
 *	Stuff that handles UART dte stuff.
 *
 *	Copyright (c) 1999 Richard J.M. Close
 *
 *	Can be freely distributed and used under the terms of the GNU GPL.
 */

#ifndef LT_IO_DTE

#define LT_IO_DTE 1

#include <stdlib.h>
#include <stdio.h>

#include "modem_globals.h"

void UART_ri_on(void);
void UART_ri_off(void);

void UART_dsr_on(void);
void UART_dsr_off(void);

void UART_cts_on(void);
void UART_cts_off(void);

void UART_cd_on(void);
void UART_cd_off(void);

void UART_xoff_off(void);
void UART_xoff_on(void);

void UART_Flush(unsigned int);

bool io_get_dte_rx_char(unsigned char* the_rx_char);

bool io_at_esc_seq_detected(void);


// Should these be in modem_globals?

unsigned char* io_app_tx_rptr;
unsigned char* io_app_tx_wptr;

#endif



