// Test the usirq module.
// My card uses IRQ 9.

#include <unistd.h>
#include <stdio.h>

int main (void)
{

 FILE* irq_dev;
 unsigned char rChar;
 unsigned int irqCount = 0;

 irq_dev = fopen("/dev/usirq9", "r");

 if (irq_dev != NULL)
   while (irqCount < 10000) {
	 // Waits for an interrupt.
	 rChar = getc(irq_dev);
	 irqCount++;
	 //printf("Interupt count : %d.", irqCount);
	 printf("%d,", irqCount);
   }
 else
   printf("Failed to open device!.\n");

 if (irq_dev != NULL) {
   printf("Interupt count : %d.\n", irqCount);
   fclose(irq_dev);
 }
}




