/*
 * PCM decoding related stuff?
 *
 *	Copyright (c) 2000 Richard J.M. Close
 *
 * Can be distributed under GPL
 */

#ifndef LT_SHMAP_H

#define LT_SHMAP_H 1

#include "stdbool.h"
#include <stdio.h>
#include "modem_globals.h"
#include "dp_vpcm.h"

void dp_init_vpcm_decoder(void);
void dp_vpcm_decoder(void);
unsigned short pack_vpcm_bits(unsigned char arg1 , unsigned char* Kbuff);

unsigned short dp_demod_cnv(unsigned char* buff1, unsigned short arg2,
                            unsigned char* buff2);

unsigned char vpcm_RxSymbolBitProc(unsigned char* KBuff);

unsigned char descrambyte_pcm(unsigned char rawByte);
unsigned short descramword_pcm(unsigned short rawData);

// VPCM decoding stuff.
unsigned char stored_K_bytes[6];
unsigned char vpcm_rx_K_size;

unsigned char J1[8];
unsigned int vpcmModulus[6]; 
unsigned short Vpcm_M_Level[6];
unsigned short VpcmRate;
unsigned short VpcmMinDist;

unsigned short old_K_bytes_num;
unsigned char num_sign_bits;
unsigned char lo_demap_data, lo_bit_ctr;
unsigned int  scramLong, descramLong;

unsigned char vpcm_D_low_bits;
unsigned char vpcm_D_high_bits;

unsigned char* io_pdm_rx_rptr;
unsigned char* io_pdm_rx_wptr;
unsigned char* io_pdm_rx_eptr;
unsigned char* io_pdm_rx_sptr;

unsigned char dp_sh_buffer[0x4c0];
unsigned char dp_desc_buffer[0x4c0];

#endif

